﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace RealTimePlot
{
    public class ChartViewModel 
    {
       
        public ObservableCollection<Model> DataPoints { get; set; }

        public ChartViewModel()
        {
          
            DataPoints = new ObservableCollection<Model>
            {
                new Model("2006", 28000, false),
                new Model("2007", 25000, false),
                new Model("2008", 30000, true),
                new Model("2009", 28000, false),
                new Model("2010", 32000, true),
                new Model("2011", 35000, false),
                new Model("2012", 30000, true),
            };
        }
    }

    public class Model
    {
        public string XValue { get; set; }
        public double YValue { get; set; }
        public bool EnableDataMarker { get; set; }

        public Model(string xValue, double Value, bool enableMarker)
        {
            XValue = xValue;
            YValue = Value;
            EnableDataMarker = enableMarker;
        }
    }
}
