﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace RealTimePlot
{
    public partial class SimpleSample : ContentPage
    {
        public SimpleSample()
        {
            InitializeComponent();
           
        }

        private void YAxis_LabelCreated(object sender, Syncfusion.SfChart.XForms.ChartAxisLabelEventArgs e)
        {
            double value = Convert.ToDouble(e.LabelContent);
            e.LabelContent = value.ToString("#,###.##", new CultureInfo("en-US"));
        }
    }

    public class DataMarkerConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            double yValue = System.Convert.ToDouble(value);
            return yValue.ToString("#,###.##", new CultureInfo("en-US"));
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
